%define svndate 20100422
%define svnver 1703


Name:			liborigin2
Version:		06042009
Release:		3.%{svndate}svn%{?dist}
Summary:		Library for reading OriginLab project files
License:		GPLv3
Group:			System Environment/Libraries
URL:			http://soft.proindependent.com/%{name}/
#Source0:		http://download.berlios.de/qtiplot/%{name}-%{version}.zip
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn export -r %{svnver} svn://svn.berlios.de/qtiplot/trunk/3rdparty/liborigin liborigin2-%{svndate}
#  tar -cjvf liborigin2-%{svndate}.tar.bz2 liborigin2-%{svndate}
Source0:		liborigin2-%{svndate}.tar.bz2
# Fixes build and install
Patch0:			liborigin2-path.patch
BuildRoot:		%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:		boost-devel
BuildRequires:		qt4-devel
BuildRequires:		doxygen
BuildRequires:		dos2unix

%description
liborigin2 is a library for reading OriginLab project files. OriginLab 
Origin provides extensive scientific graphing and data analysis capabilities 
and includes several new tools that simplify common operations.

See http://www.originlab.com for more informations about OriginLab Origin.

%package devel
Summary:		Development files for %{name}
Group:			Development/Libraries
Requires:		%{name}%{?_isa} = %{version}-%{release}
Requires:		boost-devel%{?_isa}
Requires:		qt4-devel%{?_isa}

%description devel
The %{name}-devel package contains libraries and header files for 
developing applications that use %{name}. 

%package doc
Summary:		Documentation for %{name}
Group:			Documentation
Requires:		%{name} = %{version}-%{release}
BuildArch:		noarch

%description doc
The %{name}-doc package contains documentation for the %{name} library.

%prep
%setup -q -n %{name}-%{svndate}
%patch0 -p1
#fix source files for debug package
find . -name '*.h' -exec dos2unix {} \;
find . -name '*.hh' -exec dos2unix {} \;
find . -name '*.hpp' -exec dos2unix {} \;
find . -name '*.c' -exec dos2unix {} \;
find . -name '*.cc' -exec dos2unix {} \;
find . -name '*.cpp' -exec dos2unix {} \;
find . -type d -exec chmod 0755 {} \;
find . -type f -exec chmod 0644 {} \;

%build
export PATH=%{_qt4_bindir}:$PATH
%_qt4_qmake ORIDOCDIR=%{_defaultdocdir}/%{name}-%{version} LIBDIR=%{_libdir} \
	BOOSTINC=%{_includedir}/boost
make %{?_smp_mflags}
pushd doc
doxygen Doxyfile
popd
## file-not-utf8
iconv -f iso8859-5 -t utf-8 FORMAT > FORMAT.tmp

# wrong-file-end-of-line-encoding
sed -i 's/\r//' FORMAT.tmp
touch -c -r FORMAT FORMAT.tmp
mv -f  FORMAT.tmp FORMAT

sed 's/\r//' readme > readme.tmp
touch -c -r readme readme.tmp
mv -f  readme.tmp readme

sed 's/\r//' copying > copying.tmp
touch -c -r copying copying.tmp
mv -f  copying.tmp copying

%install
rm -rf %{buildroot}
make INSTALL="install -p" INSTALL_ROOT=%{buildroot} install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_defaultdocdir}/%{name}-%{version}
%{_defaultdocdir}/%{name}-%{version}/copying
%{_defaultdocdir}/%{name}-%{version}/readme
%{_defaultdocdir}/%{name}-%{version}/FORMAT
%{_libdir}/%{name}.so.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/
%{_libdir}/%{name}.so

%files doc
%defattr(-,root,root,-)
%{_defaultdocdir}/%{name}-%{version}/html

%changelog
* Thu Apr 22 2010 Chen Lei <supercyper@163.com> - 06042009-3.20100422svn
- svn 1703

* Sat Jan 23 2010 Chen Lei <supercyper@163.com> - 06042009-2.20100119svn
- svn 1552
- split doc subpackage

* Wed Nov 25 2009 Chen Lei <supercyper@163.com> - 06042009-1
- add API documentation

* Sat Nov 21 2009 Chen Lei <supercyper@163.com> - 06042009-0
- initial rpm build
